Quelle(s) mise(s) à jour de sécurité à installer ?

Tous les sujets touchant à la sécurité du système.
Répondre
Avatar du membre
michLapprenti
Messages : 65
Enregistré le : sam. 20 août 2016 20:11

Quelle(s) mise(s) à jour de sécurité à installer ?

Message par michLapprenti » jeu. 22 déc. 2016 00:23

Pour respecter l'ordonnancement du forum, je crée un nouveau sujet avec la remarque posée lors de la discussion sur libav (libavcodec) - fin p2
lorsque j'avais posté cette copie d'écran:
Image
david37 a écrit :Je vois aussi que tu as beaucoup de mises à jour en attente dont certaines concerne des soucis de sécurité. Tu as une raison particulière pour ne pas vouloir les faire ?
Ah bon ?! Quelles lignes concernent strictement la sécurité ?
Car ce que je crains le plus, c'est de modifier le système dont je dispose (dévaloriser de bons trucs, devoir bidouiller ensuite pour les rétablir)
et je n'utilise pas bon nombre d'applications!

Concernant la sécurité, la seule que j'ai faite depuis le début, ce fut de configurer le parefeu - rien d'autre!
Je n'ai pas mis d'antivirus;
J'observe (ou croyais observer...) les mise à jour - si j'avais cru ou compris qu'une mise à j de sécurité se présentait, je l'aurais sans doute appliquée
mais jusqu'ici, je n'ai 'appliqué que les mises à jour Firefox et Flash - un point c'est tout!

Sans doute faudrait-il que je lise tout ce qui est dit sur la sécurité sur ce forum (laborieux exercice jusqu'ici reporté à plus tard),
notamment https://www.forum-francophone-linuxmint ... =29&t=1443" onclick="window.open(this.href);return false;

En attendant, à la vue des lignes de mon gestionnaire de mise à j :
ImageImageImageImageImage
pourriez-vous me dire ce qu'à votre avis (et pourquoi), je devrais installer impérativement - sans risquer de modifier mon système (selon ma crainte énoncée plus haut) ?
Merci d'avance pour toute l'attention portée!
Lenovo ThinkPad T510 - portable - Linux Mint 17,3 Cinnamon 64-bit
carte graphique: NVIDIA corporation GT 216 GLM (quatro FX 880 M)
version cinnamon 2.8.8 - noyaux linux 3.19.0-32-generic
processeur: intel cor 17cpu - m620 @ 2,67 ghz x 2
mémoire vive: 7,7 - disque dur: 465.2 go

Avatar du membre
alain
Messages : 6588
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par alain » jeu. 22 déc. 2016 00:50

Bonjour michLapprenti.

Je vais répondre à la place de David, juste pour donner mon avis personnel.
Les mises à jours de sécurité sont celles avec un "!"
Bien sur que de faire les mises à jour, va modifier ton système, c'est le but.
Si tu ne te sers pas de tout les logiciels (comme nous tous) mets les quand même à jour , ça ne mange pas de pain.
Donc moi a ta place, j'ouvrirai un terminal et je ferai:

Code : Tout sélectionner

sudo apt-get update
la tu entre ton mot de passe (qui n’apparaît pas) , puis "enter"
ensuite:

Code : Tout sélectionner

sudo apt-get upgrade
"enter"
et puis, parce-que tu n'as pas fait le mises à jour depuis longtemps:

Code : Tout sélectionner

sudo apt-get dist-upgrade


Voila avec ça tu vas avoir un système au top.
Bien-sur David ou un autre peu donner son avis.
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

Avatar du membre
david37
modérateur
Messages : 3200
Enregistré le : lun. 22 août 2016 05:06

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par david37 » jeu. 22 déc. 2016 02:16

Salut Mich,

Tout à fait d'accord avec Alain :D
Pour plus d'infos à propos de la mise à jour de linux mint, lis la documentation attachée à ce lien http://www.cjoint.com/doc/16_10/FJnhkRy ... nnamon.pdf" onclick="window.open(this.href);return false;.
Y'a tout un paragraphe sur comme mettre à jour son système, pourquoi, etc ...

Ensuite, si tu as peur de foutre la zouille sur ton système. Tu peux avoir deux choix (selon moi):
1- Tu fais comme alain t'as dit et tu mets tout à jour.
Penses à sauvegarder ton /home et tes documents importants juste au cas où sur un support externe.

2- Tu peux faire les mises à jour au fur et à mesure à partir du gestionnaire de mises à jour et voir si ton système reste stable. Mais bon vu le nombre de MAJ que tu as, tu en as jusqu'à l'année prochaine :D :D :D

Personnellement, j'ai le même système que toi (17.3 Mate), donc toutes les mises à jours que tu as à faire, je les ai déjà faite et chez moi tout roule :D
donc disons que je suis ton beta-testeur :D
PC1: Hp pavilion g6 / 1.36 GHz AMD E2-1800 APU with Radeon(tm) HD Graphics / 500 GB hard drive / 4G RAM /
Debian 9.9 Xfce
PC2: Hp-Pavilion Slimline / 2.5 GHz AMD RV710 / 4GB RAM / 500 GB hard drive / LM 18.3 Xfce x64
PC3: Lenovo ThinkPad R61i / 1.87 GHz Intel T2390 / NVIDIA G86M / 2GB RAM / 100 GB Hard Drive / LMDE2-Mate x64
PC4: Dell-Latitude E7240 / 2GHz i5-4310U / Intel Haswell-ULT HD 4400 / 8GB RAM / 500 GB Hard Drive / LM 19.1 Xfce x64

Avatar du membre
débitant
modérateur
Messages : 9521
Enregistré le : mar. 14 juil. 2015 18:22
Localisation : Lorraine France

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par débitant » jeu. 22 déc. 2016 10:56

david37 a écrit :... je suis ton beta-testeur :D
plutôt testeur que bêta, j'epère :lol: :arrow:

Avatar du membre
michLapprenti
Messages : 65
Enregistré le : sam. 20 août 2016 20:11

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par michLapprenti » jeu. 22 déc. 2016 16:33

Merci à vous deux!
alain a écrit :Les mises à jours de sécurité sont celles avec un "!"
:mrgreen: C'est l'info essentielle! merci beaucoup
david37 a écrit :Pour plus d'infos à propos de la mise à jour de linux mint, lis la documentation attachée à ce lien http://www.cjoint.com/doc/16_10/FJnhkRy ... nnamon.pdf" onclick="window.open(this.href);return false;.
Merci pour ce lien, lequel dit p39 :
Les mises à jour de niveau 1 et 2 sont sans danger et vous devriez toujours les appliquer.
Ce que je savais déjà, sans jusqu'ici en tenir tout à fait compte!
Bien que je ne faisais pas usage de celles restantes, je viens sagement de toutes les installées avec l'option 2, comme pratiquée jusqu'ici:
david37 a écrit :2- Tu peux faire les mises à jour au fur et à mesure à partir du gestionnaire de mises à jour
C'est l'option prise pour les niveaux 1 et 2, et ce ne fut pas la mer à boire, donc je continuerai ainsi
david37 a écrit :et voir si ton système reste stable.
En matière informatique (outils et autres) je n'ai pas cette audace, je ne joue pas avec le feu - car si mon système plante, je n'ai personne à portée de main

Donc pour celles de niveau 3, je suis beaucoup plus réticent, vu les risques - pour des objets dont je n'ai à priori pas l'usage non plus!
Donc uniquement pour celle plus ou moins liées à java, étude d'abord par collecte de précisions et install' peut-être , sinon jamais...

:oops: Désolé d'être (trop) frileux, cher "beta-testeur" :D
Lenovo ThinkPad T510 - portable - Linux Mint 17,3 Cinnamon 64-bit
carte graphique: NVIDIA corporation GT 216 GLM (quatro FX 880 M)
version cinnamon 2.8.8 - noyaux linux 3.19.0-32-generic
processeur: intel cor 17cpu - m620 @ 2,67 ghz x 2
mémoire vive: 7,7 - disque dur: 465.2 go

Avatar du membre
david37
modérateur
Messages : 3200
Enregistré le : lun. 22 août 2016 05:06

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par david37 » jeu. 22 déc. 2016 18:01

Pas de souci, chacun fait à son rythme et selon ces envies. ;)
Après, ne stresses pas trop, car si t'as un bug, tu as toujours le liveDVD pour tout réinstaller.

L'étape clé est de bien sauvegardé ces données avant de faire quelque chose de risqué :D
PC1: Hp pavilion g6 / 1.36 GHz AMD E2-1800 APU with Radeon(tm) HD Graphics / 500 GB hard drive / 4G RAM /
Debian 9.9 Xfce
PC2: Hp-Pavilion Slimline / 2.5 GHz AMD RV710 / 4GB RAM / 500 GB hard drive / LM 18.3 Xfce x64
PC3: Lenovo ThinkPad R61i / 1.87 GHz Intel T2390 / NVIDIA G86M / 2GB RAM / 100 GB Hard Drive / LMDE2-Mate x64
PC4: Dell-Latitude E7240 / 2GHz i5-4310U / Intel Haswell-ULT HD 4400 / 8GB RAM / 500 GB Hard Drive / LM 19.1 Xfce x64

Avatar du membre
débitant
modérateur
Messages : 9521
Enregistré le : mar. 14 juil. 2015 18:22
Localisation : Lorraine France

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par débitant » jeu. 22 déc. 2016 18:20

michLapprenti a écrit :...
Donc pour celles de niveau 3, je suis beaucoup plus réticent, vu les risques - pour des objets dont je n'ai à priori pas l'usage non plus!
...
:oops: Désolé d'être (trop) frileux, cher "beta-testeur" :D
moi qui suis loin d'être un bêta-testeur (ma devise: tant que ça marche tu ne touches plus à rien)
depuis que je suis sur LM, j'ai tjrs fait les màj 1, 2, 3 et je n'ai aucuns problèmes ;)

Avatar du membre
michLapprenti
Messages : 65
Enregistré le : sam. 20 août 2016 20:11

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par michLapprenti » mar. 14 mars 2017 23:39

Bonjour!

J'ai enfin procédé ce jour à la mise jour des niveau 3 (ce que je rechignais à faire jusqu'ici - ne faisant que les m à j niv 1 et 2)
--- je me suis décidé, considérant que les lignes "sécurité" (avec "!") étaient tout de même à considérer, même si je ne crois pas m'en servir --
puis comme cette opération s'est faite sans souci, j'ai fait le reste
le tout comme je fais d'habitude, c-à-d en sélectionnant et install
et tout s'est bien passé!

Donc voilà :))
merci à vous
Modifié en dernier par michLapprenti le mar. 14 mars 2017 23:46, modifié 1 fois.
Lenovo ThinkPad T510 - portable - Linux Mint 17,3 Cinnamon 64-bit
carte graphique: NVIDIA corporation GT 216 GLM (quatro FX 880 M)
version cinnamon 2.8.8 - noyaux linux 3.19.0-32-generic
processeur: intel cor 17cpu - m620 @ 2,67 ghz x 2
mémoire vive: 7,7 - disque dur: 465.2 go

Avatar du membre
bouledogue
Messages : 1386
Enregistré le : jeu. 6 oct. 2016 06:54
Localisation : Hauts de France
Contact :

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par bouledogue » mar. 14 mars 2017 23:43

Les niveaux 1 2 et 3 c'est le minimum à faire de toute façon! ;)
En matière d'aide, un chien vaut mieux que deux tu l'auras 8-)
Image

Avatar du membre
david37
modérateur
Messages : 3200
Enregistré le : lun. 22 août 2016 05:06

Re: Quelle(s) mise(s) à jour de sécurité à installer ?

Message par david37 » mer. 15 mars 2017 16:42

Nickel michLapprenti ;)
Content que tout se soit bien passé.

Du coup, je vais te laisser mettre ce sujet en résolu en suivant les petites consignes ci-dessous:

Si le sujet est résolu, merci d'éditer le premier message du sujet et mettre un petit Image, comme suit: Image
et un [résolu] (entre crochets et à gauche) dans le titre voir tuto ici
PC1: Hp pavilion g6 / 1.36 GHz AMD E2-1800 APU with Radeon(tm) HD Graphics / 500 GB hard drive / 4G RAM /
Debian 9.9 Xfce
PC2: Hp-Pavilion Slimline / 2.5 GHz AMD RV710 / 4GB RAM / 500 GB hard drive / LM 18.3 Xfce x64
PC3: Lenovo ThinkPad R61i / 1.87 GHz Intel T2390 / NVIDIA G86M / 2GB RAM / 100 GB Hard Drive / LMDE2-Mate x64
PC4: Dell-Latitude E7240 / 2GHz i5-4310U / Intel Haswell-ULT HD 4400 / 8GB RAM / 500 GB Hard Drive / LM 19.1 Xfce x64

Répondre